Skip to main content
GET
/
v1
/
partner
/
merchants
/
{merchantId}
/
card-payments
/
onboard
/
status
curl https://api.acountpay.com/v1/partner/merchants/42/card-payments/onboard/status \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "applicationId": "app_abc123",
  "applicationStatus": "MERCHANT_CREATED",
  "webKybUrl": "https://onboarding.surfboard.com/kyb/abc123"
}

Authentication

X-Partner-Client-Id
string
required
Your partner client ID
X-Partner-Client-Secret
string
required
Your partner client secret

Path Parameters

merchantId
integer
required
The numeric merchant ID

Response

applicationId
string
The onboarding application ID
applicationStatus
string
Current status: PENDING, IN_REVIEW, MERCHANT_CREATED, REJECTED
webKybUrl
string
The KYB verification URL (if still active)
When the status reaches MERCHANT_CREATED, the merchant is fully onboarded for card payments and a default store is automatically created.
curl https://api.acountpay.com/v1/partner/merchants/42/card-payments/onboard/status \
  -H "X-Partner-Client-Id: your-client-id" \
  -H "X-Partner-Client-Secret: your-client-secret"
{
  "applicationId": "app_abc123",
  "applicationStatus": "MERCHANT_CREATED",
  "webKybUrl": "https://onboarding.surfboard.com/kyb/abc123"
}